Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.console.handles
Class JMXHandle

    java.lang.Object
      HandleImpl
          com.bea.console.handles.JMXHandle

public class JMXHandle
extends HandleImpl

Wraps a JMX ObjectName and is used to correlate an `org.apache.struts.action.ActionForm` bean with the MBean from which the bean has been populated.

This class implements the `Handle` interface and contains methods to retrieve the wrapped JMX ObjectName and other data.

See Also:
  org.apache.struts.action.ActionForm, javax.management.ObjectName

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`JMXHandle()` Creates a placeholder handle which you can use if the Portal framework requires a handle but you do not need the features that handles enable.
`JMXHandle(ObjectName objectName)` Creates a handle for the specified JMX `ObjectName`.
`JMXHandle(String objectIdentifier)` Creates a handle and assumes that the `objectIdentifier` parameter is a `String` representation of a JMX `ObjectName`.

Method Summary
`String` | `getDisplayName()` If you used the `JMXHandle(String objectIdentifier)` constructor, returns the `objectIdentifier` that this object wraps.
`ObjectName` | `getObjectName()` If you used the `JMXHandle(ObjectName objectName)` constructor, returns the `javax.management.ObjectName` that this object wraps.
`String` | `getObjectType()` Returns the value of the Type key property that was passed to the constructor of this handle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMXHandle

    public JMXHandle()

  Creates a placeholder handle which you can use if the Portal framework requires a handle but you do not need the features that handles enable.

### JMXHandle

    public JMXHandle(ObjectName objectName)

  Creates a handle for the specified JMX `ObjectName`. Does not require the `ObjectName` to be registered in an MBean server.

  The `ObjectName` must contain a key property whose keyword is `Type`. For example:
  `com.bea:Name=myserver,Type=Server`

### JMXHandle

    public JMXHandle(String objectIdentifier)

  Creates a handle and assumes that the `objectIdentifier` parameter is a `String` representation of a JMX `ObjectName`. Does not require the `ObjectName` to be registered in an MBean server.

  The `objectIdentifier` must contain a key property whose keyword is `Type`. For example:
  `com.bea:Name=myserver,Type=Server`

Method Detail

### getDisplayName

    public String getDisplayName()

  If you used the `JMXHandle(String objectIdentifier)` constructor, returns the `objectIdentifier` that this object wraps. Otherwise returns null.

  Returns:
    java.lang.String

### getObjectName

    public ObjectName getObjectName()
                             throws MalformedObjectNameException

  If you used the `JMXHandle(ObjectName objectName)` constructor, returns the `javax.management.ObjectName` that this object wraps. Otherwise returns null.

  Returns:
    an ObjectName for this handle
  Throws:
    `MalformedObjectNameException`

### getObjectType

    public String getObjectType()

  Returns the value of the Type key property that was passed to the constructor of this handle.

  Returns:
    java.lang.String
  See Also:
    `Handle.getObjectType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD